package org.omg.PortableInterceptor;

import org.omg.IOP.ServiceContext;
import org.omg.CORBA.Object;
import org.omg.CORBA.Any;
import org.omg.CORBA.TypeCode;
import org.omg.Dynamic.Parameter;

public interface RequestInfoOperations
{
    public abstract int request_id();
    
    public abstract String operation();
    
    public abstract Parameter[] arguments();
    
    public abstract TypeCode[] exceptions();
    
    public abstract String[] contexts();
    
    public abstract String[] operation_context();
    
    public abstract Any result();
    
    public abstract boolean response_expected();
    
    public abstract short sync_scope();
    
    public abstract short reply_status();
    
    public abstract org.omg.CORBA.Object forward_reference();
    
    public abstract Any get_slot(int p0) throws InvalidSlot;
    
    public abstract ServiceContext get_request_service_context(int p0);
    
    public abstract ServiceContext get_reply_service_context(int p0);
}
